Package org.eclipse.launchbar.core.target.launch

# Class TargetedLaunch

java.lang.Object
org.eclipse.core.runtime.PlatformObject
org.eclipse.debug.core.Launch
org.eclipse.launchbar.core.target.launch.TargetedLaunch

All Implemented Interfaces:
  `org.eclipse.core.runtime.IAdaptable`, `org.eclipse.debug.core.IDebugEventSetListener`, `org.eclipse.debug.core.ILaunch`, `org.eclipse.debug.core.ILaunchConfigurationListener`, `org.eclipse.debug.core.ILaunchListener`, `org.eclipse.debug.core.model.IDisconnect`, `org.eclipse.debug.core.model.ITerminate`, `ITargetedLaunch`

public class TargetedLaunch extends org.eclipse.debug.core.Launch implements ITargetedLaunch
A ITargetedLaunch implementation that simply extends the standard Launch class to store the launch target.

## Constructor Summary

Constructors
Constructor
Description
`TargetedLaunch(org.eclipse.debug.core.ILaunchConfiguration launchConfiguration, String mode, ILaunchTarget launchTarget, org.eclipse.debug.core.model.ISourceLocator locator)`

## Method Summary

Modifier and Type
Method
Description
`ILaunchTarget`
`getLaunchTarget()`
The target this launch will or is running on.

### Methods inherited from class org.eclipse.debug.core.Launch

`addDebugTarget, addProcess, addProcesses, canDisconnect, canTerminate, disconnect, fireChanged, fireTerminate, getAdapter, getAttribute, getChildren, getDebugTarget, getDebugTargets, getDebugTargets0, getLaunchConfiguration, getLaunchManager, getLaunchMode, getProcesses, getProcesses0, getSourceLocator, handleDebugEvents, hasChildren, isDisconnected, isTerminated, launchAdded, launchChanged, launchConfigurationAdded, launchConfigurationChanged, launchConfigurationRemoved, launchRemoved, removeDebugTarget, removeProcess, setAttribute, setSourceLocator, terminate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.debug.core.ILaunch

`addDebugTarget, addProcess, getAttribute, getChildren, getDebugTarget, getDebugTargets, getLaunchConfiguration, getLaunchMode, getProcesses, getSourceLocator, hasChildren, removeDebugTarget, removeProcess, setAttribute, setSourceLocator`

### Methods inherited from interface org.eclipse.debug.core.model.ITerminate

`canTerminate, isTerminated, terminate`

## Constructor Details

### TargetedLaunch

public TargetedLaunch(org.eclipse.debug.core.ILaunchConfiguration launchConfiguration, String mode, ILaunchTarget launchTarget, org.eclipse.debug.core.model.ISourceLocator locator)

## Method Details

### getLaunchTarget

public ILaunchTarget getLaunchTarget()
Description copied from interface: `ITargetedLaunch`
The target this launch will or is running on.

Specified by:
  `getLaunchTarget` in interface `ITargetedLaunch`
Returns:
  launch target